<template>
    <div>
        <h4 class="text-center">{{ this.data.pcmanu }} {{ this.data.pcmake }} - <small class="text-muted">{{this.data.pcnickname}}</small></h4>
        <p>S/N: {{ this.data.pcserial }}</p>
        <p>CPU: {{ this.data.pcproc}}</p>
        <p>RAM: {{ this.data.pcram }}</p>
        <p>OS: {{this.data.pcos}}</p>
    </div>
</template>
<script>
export default {
    props: ['asset'],
    data() {
        return {
            data: JSON.parse(this.asset)
        }
    },
    mounted() {
        Echo.channel('assets')
            .listen('AssetUpdated', (e) => {
                this.data = JSON.parse(e.data);
            });
    }
}
</script>